View Issue Details

IDProjectCategoryView StatusLast Update
0000539Pgpool-IIBugpublic2019-09-02 15:13
ReporterRKo_Assigned Tot-ishii 
PrioritynormalSeveritycrashReproducibilityrandom
Status feedbackResolutionopen 
PlatformLinuxOSCentOSOS Version7.6.1810
Product Version4.0.5 
Target VersionFixed in Version4.0.6 
Summary0000539: Random segfault crashes of pgpool
DescriptionPgpool-II-96 is ran on master server of master-slave combo. Postgres version is 9.6.14. Randomly the pgpool crashes on segfault but is rather quickly responsive after service is automatically restarted. On some occasions the monitoring will happen exactly at the same time, but mostly crashes have happened without anyone noticing them. Finally these 1 minute breaks in monitoring was noticed, and logs were showing segfault errors of pgpool.

Will attach dmesg errors, /var/log/messages, pgpool configs and core dumps of pgpool.
TagsNo tags attached.

Activities

RKo_

2019-08-26 21:38

reporter  

pgpool_coredumps.zip (1,615,654 bytes)
messages.txt (300 bytes)
Aug 26 09:13:19 fluent-db02 kernel: pgpool[123586]: segfault at 9 ip 000000000042f229 sp 00007ffc21657ed0 error 4 in pgpool[400000+164000]
...
Aug 26 12:52:08 fluent-db02 kernel: pgpool[92411]: segfault at 1f7f648 ip 00007ff5ad9b4e75 sp 00007ffc216579a8 error 4 in libc-2.17.so[7ff5ad861000+1c2000]
messages.txt (300 bytes)
core-pgpool-11-26-26-123586-1566799999.txt (9,184 bytes)
[root@fluent-db02 tmp]# gdb core-pgpool-11-26-26-92411-1566813128
GNU gdb (GDB) Red Hat Enterprise Linux 7.6.1-114.el7
Copyright (C) 2013 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.  Type "show copying"
and "show warranty" for details.
This GDB was configured as "x86_64-redhat-linux-gnu".
For bug reporting instructions, please see:
<http://www.gnu.org/software/gdb/bugs/>...
[New LWP 92411]
Reading symbols from /usr/pgpool-9.6/bin/pgpool...Reading symbols from /usr/lib/debug/usr/pgpool-9.6/bin/pgpool.debug...done.
done.
Missing separate debuginfo for
Try: yum --enablerepo='*debug*' install /usr/lib/debug/.build-id/bc/4d21950f4b2adfb515dfbb0e082e2281689a0b
[Thread debugging using libthread_db enabled]
Using host libthread_db library "/lib64/libthread_db.so.1".
Core was generated by `pgpool: mobileuser kuntodb_destia 10.185.0.13(41898) idle in trans'.
Program terminated with signal 11, Segmentation fault.
#0  __memcpy_ssse3_back () at ../sysdeps/x86_64/multiarch/memcpy-ssse3-back.S:97
97              movdqu  (%rsi), %xmm0
(gdb) bt full
#0  __memcpy_ssse3_back () at ../sysdeps/x86_64/multiarch/memcpy-ssse3-back.S:97
No locals.
#1  0x0000000000446ca5 in pool_create_sent_message (kind=kind@entry=80 'P', len=len@entry=8254, contents=contents@entry=0x1f7f648 <Address 0x1f7f648 out of bounds>, num_tsparams=num_tsparams@entry=0,
    name=name@entry=0x1f7f648 <Address 0x1f7f648 out of bounds>, query_context=query_context@entry=0x1f42108) at context/pool_session_context.c:545
        msg = 0x1f3aac8
        old_context = 0x7ff5af6e22d8
#2  0x0000000000439300 in parse_before_bind (frontend=frontend@entry=0x1f207a8, backend=backend@entry=0x7ff5af6d9768, message=message@entry=0x1f3aac8, bind_message=0x1f19788, bind_message=0x1f19788)
    at protocol/pool_proto_modules.c:3442
        message_body = "SS_6", '\000' <repeats 1019 times>
        message_len = <optimized out>
        pmsg = 0x1f479c8
        new_qc = 0x1f42108
        offset = <optimized out>
        i = <optimized out>
        len = 8254
        kind = 0 '\000'
        contents = 0x1f7f648 <Address 0x1f7f648 out of bounds>
        parse_was_sent = 0 '\000'
        backup = "\000\001", '\000' <repeats 125 times>
        qc = <optimized out>
        msg = <optimized out>
#3  0x000000000043afa3 in Bind (frontend=frontend@entry=0x1f207a8, backend=backend@entry=0x7ff5af6d9768, len=408, contents=contents@entry=0x1f1b758 "") at protocol/pool_proto_modules.c:1446
        pstmt_name = <optimized out>
        portal_name = 0x1f1b758 ""
        rewrite_msg = 0x0
        parse_msg = 0x1f3aac8
        bind_msg = 0x1f19788
        session_context = 0x77aae0 <session_context_d>
        query_context = 0x1f1df78
        insert_stmt_with_lock = 0
        nowait = <optimized out>
#4  0x000000000043f107 in ProcessFrontendResponse (frontend=frontend@entry=0x1f207a8, backend=backend@entry=0x7ff5af6d9768) at protocol/pool_proto_modules.c:2528
        node = <optimized out>
        parse_tree_list = <optimized out>
        old_context = 0x1
        query_context = <optimized out>
        query = <optimized out>
        error = 1 '\001'
        fkind = 66 'B'
        bufp = <optimized out>
        contents = 0x1f1b758 ""
        status = <optimized out>
        len = 408
#5  0x0000000000431bd9 in read_packets_and_process (frontend=frontend@entry=0x1f207a8, backend=backend@entry=0x7ff5af6d9768, reset_request=reset_request@entry=0, state=state@entry=0x7ffc216581e4,
    num_fields=num_fields@entry=0x7ffc216581e2, cont=cont@entry=0x7ffc216581ec "\001") at protocol/pool_process_query.c:4922
        readmask = {fds_bits = {128, 0 <repeats 15 times>}}
        writemask = {fds_bits = {0 <repeats 16 times>}}
        exceptmask = {fds_bits = {0 <repeats 16 times>}}
        fds = <optimized out>
        timeoutdata = {tv_sec = 2, tv_usec = 32638888}
        timeout = <optimized out>
        num_fds = <optimized out>
        was_error = 0
        status = <optimized out>
        i = <optimized out>
        idle_count = 0
        idle_count_in_recovery = 0
#6  0x000000000043271b in pool_process_query (frontend=0x1f207a8, backend=0x7ff5af6d9768, reset_request=reset_request@entry=0) at protocol/pool_process_query.c:286
        cont = 1 '\001'
        num_fields = 0
        status = <optimized out>
---Type <return> to continue, or q <return> to quit---
        qcnt = 0
        i = <optimized out>
        ProcessQueryContext = 0x7ff5af6e22d8
        state = 0
#7  0x000000000042cf39 in do_child (fds=fds@entry=0x1f0fbf0) at protocol/child.c:392
        status = <optimized out>
        sp = <optimized out>
        saddr = {addr = {ss_family = 2, __ss_padding = "\243\252\n\271\000\r", '\000' <repeats 111 times>, __ss_align = 0}, salen = 16}
        local_sigjmp_buf = {{__jmpbuf = {32570364, 4044996592159108118, 117, 0, 140693187174048, 2, -4045648830386983914, 4044995098516073494}, __mask_was_saved = 1, __saved_mask = {__val = {0, 3, 0,
                140720868788611, 5011522, 140720868788912, 140693158903936, 140720868789368, 5011520, 140720868788928, 140693155255931, 0, 0, 0, 0, 4902421}}}}
        backend = 0x7ff5af6d9768
        now = {tv_sec = 1566812674, tv_usec = 145569}
        tz = {tz_minuteswest = 0, tz_dsttime = 0}
        timeout = {tv_sec = 0, tv_usec = 0}
        connected = 1
        connections_count = <optimized out>
        psbuf = "mobileuser kuntodb_destia 10.185.0.13(41898) idle\000e!\374\177\000\000pu\211\255\365\177\000\000F\002\000\000\000\000\000\000\063", '\000' <repeats 39 times>, "@\212e!\374\177\000\000\260\262\361\001\000\000\000\000p\201\206\255\365\177\000\000\220\271p\257\365\177\000\000\177\003\000\061\060\071\066\071Љe!\374\177\000\000\341\a\357\001\000\000\000\000Љe!\374\177\000\000\025\316J\000\000\000\000\000\210\213e!\374\177\000\000\346\003\000\000\000\000\000\000(\336"...
        walk = <optimized out>
#8  0x00000000004090f5 in fork_a_child (fds=0x1f0fbf0, id=117) at main/pgpool_main.c:665
        pid = 0
#9  0x000000000040992f in reaper () at main/pgpool_main.c:2696
        new_pid = 0
        shutdown_system = 0 '\000'
        restart_child = 1 '\001'
        found = 1 '\001'
        status = 256
        i = 117
#10 0x000000000041041f in PgpoolMain (discard_status=discard_status@entry=1 '\001', clear_memcache_oidmaps=clear_memcache_oidmaps@entry=0 '\000') at main/pgpool_main.c:457
        i = 2
        local_sigjmp_buf = {{__jmpbuf = {1, 4044996594686176278, 9898, 140720868790000, 6, 2, -4045648830519104490, 4044995096208682006}, __mask_was_saved = 1, __saved_mask = {__val = {18446744066192964103,
                4294967295, 140693154983264, 140720868791120, 140693185042714, 0, 1, 16, 0, 1376289, 5019159, 0, 140693185042714, 29, 140720868832256, 0}}}}
        first = 0 '\000'
#11 0x00000000004077b7 in main (argc=<optimized out>, argv=<optimized out>) at main/main.c:349
        opt = <optimized out>
        debug_level = <optimized out>
        optindex = 0
        discard_status = 1 '\001'
        clear_memcache_oidmaps = 0 '\000'
        pcp_conf_file_path = "/etc/pgpool-II-96/pcp.conf", '\000' <repeats 8166 times>
        conf_file_path = "/etc/pgpool-II-96/pgpool.conf", '\000' <repeats 8163 times>
        hba_file_path = "/etc/pgpool-II-96/pool_hba.conf", '\000' <repeats 8161 times>
        pool_passwd_key_file_path = "/var/lib/pgsql/.pgpoolkey\000\321\037\001\213\356\267\031ͳK\350\000\277\026A5\r\n\000\000\000\000\021\000\000\000\034\000\000\000\004\000\000\000\b\000\000\000@\204\t\000\202!\020\240\250@\000\023\304Ё\030\002\"\030@\030\"D\v\200\030\b\001\">\226\002\034\000\000\000\035\000\000\000\037\000\000\000\"\000\000\000$\000\000\000'\000\000\000+\000\000\000\060\000\000\000\061\000\000\000\062\000\000\000\065\000\000\000\000\000\000\000\066\000\000\000\000\000\000\000\071\000\000\000<\000\000\000=\000\000\000\271\201\272\305\352\323\357\016\021\177\027\257\354\a\262\236\370\262E2\271\215\361\016f\267\251\177\331qX\034ʇ\345 bG\032"...
        long_options = {{name = 0x4abe72 "hba-file", has_arg = 1, flag = 0x0, val = 97}, {name = 0x4abe7b "debug", has_arg = 0, flag = 0x0, val = 100}, {name = 0x4abe81 "config-file", has_arg = 1, flag = 0x0,
            val = 102}, {name = 0x4abe8d "key-file", has_arg = 1, flag = 0x0, val = 107}, {name = 0x4abe96 "pcp-file", has_arg = 1, flag = 0x0, val = 70}, {name = 0x4abe9f "help", has_arg = 0, flag = 0x0,
            val = 104}, {name = 0x4b0ded "mode", has_arg = 1, flag = 0x0, val = 109}, {name = 0x4abea4 "dont-detach", has_arg = 0, flag = 0x0, val = 110}, {name = 0x4abeb0 "discard-status", has_arg = 0, flag = 0x0,
            val = 68}, {name = 0x4abebf "clear-oidmaps", has_arg = 0, flag = 0x0, val = 67}, {name = 0x4abecd "debug-assertions", has_arg = 0, flag = 0x0, val = 120}, {name = 0x4c93c8 "version", has_arg = 0,
            flag = 0x0, val = 118}, {name = 0x0, has_arg = 0, flag = 0x0, val = 0}}
core-pgpool-11-26-26-92411-1566813128.txt (9,184 bytes)
[root@fluent-db02 tmp]# gdb core-pgpool-11-26-26-92411-1566813128
GNU gdb (GDB) Red Hat Enterprise Linux 7.6.1-114.el7
Copyright (C) 2013 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.  Type "show copying"
and "show warranty" for details.
This GDB was configured as "x86_64-redhat-linux-gnu".
For bug reporting instructions, please see:
<http://www.gnu.org/software/gdb/bugs/>...
[New LWP 92411]
Reading symbols from /usr/pgpool-9.6/bin/pgpool...Reading symbols from /usr/lib/debug/usr/pgpool-9.6/bin/pgpool.debug...done.
done.
Missing separate debuginfo for
Try: yum --enablerepo='*debug*' install /usr/lib/debug/.build-id/bc/4d21950f4b2adfb515dfbb0e082e2281689a0b
[Thread debugging using libthread_db enabled]
Using host libthread_db library "/lib64/libthread_db.so.1".
Core was generated by `pgpool: mobileuser kuntodb_destia 10.185.0.13(41898) idle in trans'.
Program terminated with signal 11, Segmentation fault.
#0  __memcpy_ssse3_back () at ../sysdeps/x86_64/multiarch/memcpy-ssse3-back.S:97
97              movdqu  (%rsi), %xmm0
(gdb) bt full
#0  __memcpy_ssse3_back () at ../sysdeps/x86_64/multiarch/memcpy-ssse3-back.S:97
No locals.
#1  0x0000000000446ca5 in pool_create_sent_message (kind=kind@entry=80 'P', len=len@entry=8254, contents=contents@entry=0x1f7f648 <Address 0x1f7f648 out of bounds>, num_tsparams=num_tsparams@entry=0,
    name=name@entry=0x1f7f648 <Address 0x1f7f648 out of bounds>, query_context=query_context@entry=0x1f42108) at context/pool_session_context.c:545
        msg = 0x1f3aac8
        old_context = 0x7ff5af6e22d8
#2  0x0000000000439300 in parse_before_bind (frontend=frontend@entry=0x1f207a8, backend=backend@entry=0x7ff5af6d9768, message=message@entry=0x1f3aac8, bind_message=0x1f19788, bind_message=0x1f19788)
    at protocol/pool_proto_modules.c:3442
        message_body = "SS_6", '\000' <repeats 1019 times>
        message_len = <optimized out>
        pmsg = 0x1f479c8
        new_qc = 0x1f42108
        offset = <optimized out>
        i = <optimized out>
        len = 8254
        kind = 0 '\000'
        contents = 0x1f7f648 <Address 0x1f7f648 out of bounds>
        parse_was_sent = 0 '\000'
        backup = "\000\001", '\000' <repeats 125 times>
        qc = <optimized out>
        msg = <optimized out>
#3  0x000000000043afa3 in Bind (frontend=frontend@entry=0x1f207a8, backend=backend@entry=0x7ff5af6d9768, len=408, contents=contents@entry=0x1f1b758 "") at protocol/pool_proto_modules.c:1446
        pstmt_name = <optimized out>
        portal_name = 0x1f1b758 ""
        rewrite_msg = 0x0
        parse_msg = 0x1f3aac8
        bind_msg = 0x1f19788
        session_context = 0x77aae0 <session_context_d>
        query_context = 0x1f1df78
        insert_stmt_with_lock = 0
        nowait = <optimized out>
#4  0x000000000043f107 in ProcessFrontendResponse (frontend=frontend@entry=0x1f207a8, backend=backend@entry=0x7ff5af6d9768) at protocol/pool_proto_modules.c:2528
        node = <optimized out>
        parse_tree_list = <optimized out>
        old_context = 0x1
        query_context = <optimized out>
        query = <optimized out>
        error = 1 '\001'
        fkind = 66 'B'
        bufp = <optimized out>
        contents = 0x1f1b758 ""
        status = <optimized out>
        len = 408
#5  0x0000000000431bd9 in read_packets_and_process (frontend=frontend@entry=0x1f207a8, backend=backend@entry=0x7ff5af6d9768, reset_request=reset_request@entry=0, state=state@entry=0x7ffc216581e4,
    num_fields=num_fields@entry=0x7ffc216581e2, cont=cont@entry=0x7ffc216581ec "\001") at protocol/pool_process_query.c:4922
        readmask = {fds_bits = {128, 0 <repeats 15 times>}}
        writemask = {fds_bits = {0 <repeats 16 times>}}
        exceptmask = {fds_bits = {0 <repeats 16 times>}}
        fds = <optimized out>
        timeoutdata = {tv_sec = 2, tv_usec = 32638888}
        timeout = <optimized out>
        num_fds = <optimized out>
        was_error = 0
        status = <optimized out>
        i = <optimized out>
        idle_count = 0
        idle_count_in_recovery = 0
#6  0x000000000043271b in pool_process_query (frontend=0x1f207a8, backend=0x7ff5af6d9768, reset_request=reset_request@entry=0) at protocol/pool_process_query.c:286
        cont = 1 '\001'
        num_fields = 0
        status = <optimized out>
---Type <return> to continue, or q <return> to quit---
        qcnt = 0
        i = <optimized out>
        ProcessQueryContext = 0x7ff5af6e22d8
        state = 0
#7  0x000000000042cf39 in do_child (fds=fds@entry=0x1f0fbf0) at protocol/child.c:392
        status = <optimized out>
        sp = <optimized out>
        saddr = {addr = {ss_family = 2, __ss_padding = "\243\252\n\271\000\r", '\000' <repeats 111 times>, __ss_align = 0}, salen = 16}
        local_sigjmp_buf = {{__jmpbuf = {32570364, 4044996592159108118, 117, 0, 140693187174048, 2, -4045648830386983914, 4044995098516073494}, __mask_was_saved = 1, __saved_mask = {__val = {0, 3, 0,
                140720868788611, 5011522, 140720868788912, 140693158903936, 140720868789368, 5011520, 140720868788928, 140693155255931, 0, 0, 0, 0, 4902421}}}}
        backend = 0x7ff5af6d9768
        now = {tv_sec = 1566812674, tv_usec = 145569}
        tz = {tz_minuteswest = 0, tz_dsttime = 0}
        timeout = {tv_sec = 0, tv_usec = 0}
        connected = 1
        connections_count = <optimized out>
        psbuf = "mobileuser kuntodb_destia 10.185.0.13(41898) idle\000e!\374\177\000\000pu\211\255\365\177\000\000F\002\000\000\000\000\000\000\063", '\000' <repeats 39 times>, "@\212e!\374\177\000\000\260\262\361\001\000\000\000\000p\201\206\255\365\177\000\000\220\271p\257\365\177\000\000\177\003\000\061\060\071\066\071Љe!\374\177\000\000\341\a\357\001\000\000\000\000Љe!\374\177\000\000\025\316J\000\000\000\000\000\210\213e!\374\177\000\000\346\003\000\000\000\000\000\000(\336"...
        walk = <optimized out>
#8  0x00000000004090f5 in fork_a_child (fds=0x1f0fbf0, id=117) at main/pgpool_main.c:665
        pid = 0
#9  0x000000000040992f in reaper () at main/pgpool_main.c:2696
        new_pid = 0
        shutdown_system = 0 '\000'
        restart_child = 1 '\001'
        found = 1 '\001'
        status = 256
        i = 117
#10 0x000000000041041f in PgpoolMain (discard_status=discard_status@entry=1 '\001', clear_memcache_oidmaps=clear_memcache_oidmaps@entry=0 '\000') at main/pgpool_main.c:457
        i = 2
        local_sigjmp_buf = {{__jmpbuf = {1, 4044996594686176278, 9898, 140720868790000, 6, 2, -4045648830519104490, 4044995096208682006}, __mask_was_saved = 1, __saved_mask = {__val = {18446744066192964103,
                4294967295, 140693154983264, 140720868791120, 140693185042714, 0, 1, 16, 0, 1376289, 5019159, 0, 140693185042714, 29, 140720868832256, 0}}}}
        first = 0 '\000'
#11 0x00000000004077b7 in main (argc=<optimized out>, argv=<optimized out>) at main/main.c:349
        opt = <optimized out>
        debug_level = <optimized out>
        optindex = 0
        discard_status = 1 '\001'
        clear_memcache_oidmaps = 0 '\000'
        pcp_conf_file_path = "/etc/pgpool-II-96/pcp.conf", '\000' <repeats 8166 times>
        conf_file_path = "/etc/pgpool-II-96/pgpool.conf", '\000' <repeats 8163 times>
        hba_file_path = "/etc/pgpool-II-96/pool_hba.conf", '\000' <repeats 8161 times>
        pool_passwd_key_file_path = "/var/lib/pgsql/.pgpoolkey\000\321\037\001\213\356\267\031ͳK\350\000\277\026A5\r\n\000\000\000\000\021\000\000\000\034\000\000\000\004\000\000\000\b\000\000\000@\204\t\000\202!\020\240\250@\000\023\304Ё\030\002\"\030@\030\"D\v\200\030\b\001\">\226\002\034\000\000\000\035\000\000\000\037\000\000\000\"\000\000\000$\000\000\000'\000\000\000+\000\000\000\060\000\000\000\061\000\000\000\062\000\000\000\065\000\000\000\000\000\000\000\066\000\000\000\000\000\000\000\071\000\000\000<\000\000\000=\000\000\000\271\201\272\305\352\323\357\016\021\177\027\257\354\a\262\236\370\262E2\271\215\361\016f\267\251\177\331qX\034ʇ\345 bG\032"...
        long_options = {{name = 0x4abe72 "hba-file", has_arg = 1, flag = 0x0, val = 97}, {name = 0x4abe7b "debug", has_arg = 0, flag = 0x0, val = 100}, {name = 0x4abe81 "config-file", has_arg = 1, flag = 0x0,
            val = 102}, {name = 0x4abe8d "key-file", has_arg = 1, flag = 0x0, val = 107}, {name = 0x4abe96 "pcp-file", has_arg = 1, flag = 0x0, val = 70}, {name = 0x4abe9f "help", has_arg = 0, flag = 0x0,
            val = 104}, {name = 0x4b0ded "mode", has_arg = 1, flag = 0x0, val = 109}, {name = 0x4abea4 "dont-detach", has_arg = 0, flag = 0x0, val = 110}, {name = 0x4abeb0 "discard-status", has_arg = 0, flag = 0x0,
            val = 68}, {name = 0x4abebf "clear-oidmaps", has_arg = 0, flag = 0x0, val = 67}, {name = 0x4abecd "debug-assertions", has_arg = 0, flag = 0x0, val = 120}, {name = 0x4c93c8 "version", has_arg = 0,
            flag = 0x0, val = 118}, {name = 0x0, has_arg = 0, flag = 0x0, val = 0}}
pgpool.conf (2,408 bytes)

t-ishii

2019-08-27 07:51

developer   ~0002802

Last edited: 2019-08-28 07:29

View 2 revisions

I think this has been already fixed in 4.0.6.
https://git.postgresql.org/gitweb/?p=pgpool2.git;a=commit;h=b6d77f470d1506a467776614216e2d727e4d2344

RKo_

2019-08-28 14:00

reporter   ~0002805

Ok, shall try 4.0.6. I will close the issue, and reopen if segfault occurs again.

Issue History

Date Modified Username Field Change
2019-08-26 21:38 RKo_ New Issue
2019-08-26 21:38 RKo_ File Added: pgpool.conf
2019-08-26 21:38 RKo_ File Added: core-pgpool-11-26-26-92411-1566813128.txt
2019-08-26 21:38 RKo_ File Added: core-pgpool-11-26-26-123586-1566799999.txt
2019-08-26 21:38 RKo_ File Added: messages.txt
2019-08-26 21:38 RKo_ File Added: pgpool_coredumps.zip
2019-08-27 07:51 t-ishii Note Added: 0002802
2019-08-27 11:17 t-ishii Assigned To => t-ishii
2019-08-27 11:17 t-ishii Status new => feedback
2019-08-27 11:17 t-ishii Fixed in Version => 4.0.6
2019-08-27 11:17 t-ishii Description Updated View Revisions
2019-08-28 07:29 t-ishii Note Edited: 0002802 View Revisions
2019-08-28 14:00 RKo_ Note Added: 0002805
2019-08-28 14:00 RKo_ Status feedback => assigned
2019-09-02 15:13 t-ishii Status assigned => feedback